Subject: Re: [dhcwg] Fw: Re: dhcwg Digest, Vol 65, Issue 10

From: Huan Huan <[email-masked]>
Date: Sat, 26 Sep 2009 14:45:28 +0800

Hi,

I want to talk about how the relay agent will prove the DHCP
 Client's address ownership to the DHCP server and how the Relay Agent
will prove the DHCP server authorization to the DHCP Client.

I think the relay agent don't care about the binding about dhcpv6 client and
dhcpv6 server, it just relay the message into a multicast address(ff02::1:2
or ff05::1:3). ff02::1:2 means destination group for all the dhcpv6 client
and relay in the link, ff05::1:3 means destination group for all the dhcpv6
client in the link. If my understanding is without any inaccuracy, I think
the dhcpv6 relay don't need to distinguish the authorization between dhcpv6
client and server.

Best Regards,
Huan

>
> ------------------------------
> *发件人：* dhcwg-request
> *发送时间：* 2009-09-25  03:02:01
> *收件人：* dhcwg
> *抄送：*
> *主题：* dhcwg Digest, Vol 65, Issue 10
>  If you have received this digest without all the individual message
> attachments you will need to update your digest options in your list
> subscription.  To do so, go to
>  https://www.ietf.org/mailman/listinfo/dhcwg
>  Click the 'Unsubscribe or edit options' button, log in, and set "Get
> MIME or Plain Text Digests?" to MIME.  You can set this option
> globally for all the list digests you receive at this point.
>   Send dhcwg mailing list submissions to
> [email-masked]
>  To subscribe or unsubscribe via the World Wide Web, visit
> https://www.ietf.org/mailman/listinfo/dhcwg
> or, via email, send a message with subject or body 'help' to
> [email-masked]
>  You can reach the person managing the list at
> [email-masked]
>  When replying, please edit your Subject line so it is more specific
> than "Re: Contents of dhcwg digest..."
>  Today's Topics:
>     1. Comments on draft-jiang-dhc-secure-dhcpv6-02 (Tony Cheneau)
>  ----------------------------------------------------------------------
>  Message: 1
> Date: Thu, 24 Sep 2009 16:56:42 +0200 (CEST)
> From: Tony Cheneau <[email-masked]>
> Subject: [dhcwg] Comments on draft-jiang-dhc-secure-dhcpv6-02
> To: [email-masked], Sean Shen <[email-masked]>
> Cc: [email-masked], [email-masked]
> Message-ID: <alpine.LNX.2.00.0909241639070.13009@whitebox>
> Content-Type: TEXT/PLAIN; format=flowed; charset=US-ASCII
>  Hello,
>
> I read draft-jiang-dhc-secure-dhcpv6-02 and I have the following comments:
> - you should remain consistent and always use the term CGA Parameters
>    (sometimes, the 's' is lacking).
>
> - section 6.3, "The CGA of a client will not lose during relaying." needs to
>    be corrected (does not make much sense).
> - in the same section, maybe due to a lack of knowledge in the DHCPv6
>    protocol, I fail to understand how the Relay Agent will prove the DHCP
>
>    Client's address ownership to the DHCP server and how the Relay Agent will
>
>    prove the DHCP server authorization to the DHCP Client. Can you enlighten me
>    on this point ?
>
> - the document is rather fuzzy on how you deploy certificates on DHCP routers
>
>    to perform the ADD. If you plan to reuse the certificate deployed on SEND
>
>    routers, it would be wise to provide an "extended key usage" value for the
>
>    authorization to act as a DHCP server (there is already value for proxying
>    functionalities and such defined draft-ietf-csi-send-cert).
>  - also, the text is not clear on the fact that DHCP Server MUST use
>
>    certificate to prove its authority. I think the text should be clarified on
>    that point.
>  Best regards,
>   Tony Cheneau
>  ------------------------------
>  _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg
>  End of dhcwg Digest, Vol 65, Issue 10
> *************************************
>
> __________ Information from ESET NOD32 Antivirus, version of virus signature database 4452 (20090924) __________
>  The message was checked by ESET NOD32 Antivirus.
>  http://www.eset.com
>

-- 
Huan Huan

BII Group
IPv6 R&D Center
Technique Project Manager